Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Robert Alessi <[email-masked]>
Date: Fri, 19 Jul 2019 11:42:26 +0200

On Fri, Jul 19, 2019 at 11:26:57AM +0200, Robert Pluim wrote:
> >>>>> On Fri, 19 Jul 2019 10:58:24 +0200, Robert Alessi <[email-masked]> said:
> 
>     Robert> Robert, Basil and Eli: since assigning vowels with tonos and vowels
>     Robert> with oxia to the same code points is clearly unacceptable even if the
>     Robert> glyphs may be identical, is there a way to input tonos and vowels with
>     Robert> tonos with emacs?  I use greek-ibycus4, but if other input methods
>     Robert> can handle these letters, I would consider any change unnecessary.
> 
> 1. You can locally derive an input method from greek-ibycus4, and
> replace the entries for letter + oxia with letter with tonos (or we
> can make that change in emacs)

This is what I did in the first place.  More precisely, I replaced
greek.el with a new greek.el which included the substitutions, but I
reverted to the original greek.el after realizing that the statements
of digitalclassicist.org are in fact questionable.

> 2. Same, but we allow for entering both variants, so that eg
> 
> i' => iota with oxia
> i; => iota with tonos (this is how eg greek-postfix does it)
 
Interesting option.

> 3. You change input methods betweend greek-ibycus4 and greek postfix,
> enter the character + tonos using i;, then switch back

This is what I would prefer (see below).

> 4. Last resort: enter the required character directly using
> 
> C-x 8 RET 3af
> or
> C-x 8 RET GREEK SMALL LETTER IOTA WITH TONOS

Provided one has not many characters to enter!

> Iʼd probably lean towards [2], but a purist might says that weʼre
> polluting an input method intended for classical greek with a 'modern'
> set of characters.

Yes [2] would be interesting, I agree, but the purist also has a point.

> OTOH Unicode seems to say that we should be using
> the tonos variants anyway.

Is that to say that the oxia variants are actually not recommended by
Unicode?  Did you find information on this form unicode.org?

Robert